<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Cadastro</title>
    <script src="vue.global.js"></script>
    <link rel="stylesheet" href="style.cadastro.css">
</head>
<body>
    <div id="app">
        <h1>Cadastro de um Novo Usuário</h1>
        <form>
            <label for="newUsername">Nome de usuário:</label>
            <input type="text" v-model="newUsername" required> 
            <label for="newPassword">Crie uma senha:</label>
            <input type="password" v-model="newPassword" required>
            <label for="confirmPassword">Confirme sua senha:</label>
            <input type="password" v-model="confirmPassword" required>

            <button type="submit" @click.prevent="adicionarUsuario">Cadastrar</button>
        </form><!--fcehamento form-->
        <p>Usuário: {{usuario}}</p>
        <!-- <p>Senha: {{senha}}</p> -->

        <p class="erro" :class="{entrada: mostrarEntrada}">{{erro}}</p>
        <p class="sucesso" :class="{entrada: mostrarEntrada}">{{sucesso}}</p>

        <!--processo dw listagem dos usuários e senhas cadastrados dos vetores-->
        <div>
            <button @click="listarUsuarios">
                {{mostrarLista ? "Ocultar lista" : "Mostrar lista" }}
            </button>

            <!--lista de usuários cadastrados-->
            <ol v-if="mostrarLista">
                <li v-for="(usuario, index) in usuarios">
                    Usuário: {{usuario}}, Senha: {senhas[index]}
                </li><!--fechamento linha-->

            </ol><!--fechamento lista ordenada-->
        </div><!--fechameto div-->
            
    </div><!--fechamento div-->
    <script src="process.js"></script>
</body><!--fechamento body-->
</html><!--fechamento html-->